import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::AppFlow::Connector
 */
export declare function getConnector(args: GetConnectorArgs, opts?: pulumi.InvokeOptions): Promise<GetConnectorResult>;
export interface GetConnectorArgs {
    /**
     *  The name of the connector. The name is unique for each ConnectorRegistration in your AWS account.
     */
    connectorLabel: string;
}
export interface GetConnectorResult {
    /**
     *  The arn of the connector. The arn is unique for each ConnectorRegistration in your AWS account.
     */
    readonly connectorArn?: string;
    /**
     * Contains information about the configuration of the connector being registered.
     */
    readonly connectorProvisioningConfig?: outputs.appflow.ConnectorProvisioningConfig;
    /**
     * The provisioning type of the connector. Currently the only supported value is LAMBDA.
     */
    readonly connectorProvisioningType?: string;
    /**
     * A description about the connector that's being registered.
     */
    readonly description?: string;
}
/**
 * Resource schema for AWS::AppFlow::Connector
 */
export declare function getConnectorOutput(args: GetConnectorOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetConnectorResult>;
export interface GetConnectorOutputArgs {
    /**
     *  The name of the connector. The name is unique for each ConnectorRegistration in your AWS account.
     */
    connectorLabel: pulumi.Input<string>;
}
