import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::AppIntegrations::EventIntegration
 */
export declare function getEventIntegration(args: GetEventIntegrationArgs, opts?: pulumi.InvokeOptions): Promise<GetEventIntegrationResult>;
export interface GetEventIntegrationArgs {
    /**
     * The name of the event integration.
     */
    name: string;
}
export interface GetEventIntegrationResult {
    /**
     * The event integration description.
     */
    readonly description?: string;
    /**
     * The Amazon Resource Name (ARN) of the event integration.
     */
    readonly eventIntegrationArn?: string;
    /**
     * The tags (keys and values) associated with the event integration.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::AppIntegrations::EventIntegration
 */
export declare function getEventIntegrationOutput(args: GetEventIntegrationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetEventIntegrationResult>;
export interface GetEventIntegrationOutputArgs {
    /**
     * The name of the event integration.
     */
    name: pulumi.Input<string>;
}
