import * as pulumi from "@pulumi/pulumi";
/**
 * The AWS::AppRunner::VpcConnector resource specifies an App Runner VpcConnector.
 */
export declare function getVpcConnector(args: GetVpcConnectorArgs, opts?: pulumi.InvokeOptions): Promise<GetVpcConnectorResult>;
export interface GetVpcConnectorArgs {
    /**
     * The Amazon Resource Name (ARN) of this VPC connector.
     */
    vpcConnectorArn: string;
}
export interface GetVpcConnectorResult {
    /**
     * The Amazon Resource Name (ARN) of this VPC connector.
     */
    readonly vpcConnectorArn?: string;
    /**
     * The revision of this VPC connector. It's unique among all the active connectors ("Status": "ACTIVE") that share the same Name.
     */
    readonly vpcConnectorRevision?: number;
}
/**
 * The AWS::AppRunner::VpcConnector resource specifies an App Runner VpcConnector.
 */
export declare function getVpcConnectorOutput(args: GetVpcConnectorOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetVpcConnectorResult>;
export interface GetVpcConnectorOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of this VPC connector.
     */
    vpcConnectorArn: pulumi.Input<string>;
}
