import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::APS::Scraper
 */
export declare function getScraper(args: GetScraperArgs, opts?: pulumi.InvokeOptions): Promise<GetScraperResult>;
export interface GetScraperArgs {
    /**
     * Scraper ARN.
     */
    arn: string;
}
export interface GetScraperResult {
    /**
     * Scraper alias.
     */
    readonly alias?: string;
    /**
     * Scraper ARN.
     */
    readonly arn?: string;
    /**
     * The Amazon Managed Service for Prometheus workspace the scraper sends metrics to.
     */
    readonly destination?: outputs.aps.ScraperDestination;
    /**
     * IAM role ARN for the scraper.
     */
    readonly roleArn?: string;
    /**
     * The role configuration in an Amazon Managed Service for Prometheus scraper.
     */
    readonly roleConfiguration?: outputs.aps.ScraperRoleConfiguration;
    /**
     * The configuration in use by the scraper.
     */
    readonly scrapeConfiguration?: outputs.aps.ScraperScrapeConfiguration;
    /**
     * Required to identify a specific scraper.
     */
    readonly scraperId?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::APS::Scraper
 */
export declare function getScraperOutput(args: GetScraperOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetScraperResult>;
export interface GetScraperOutputArgs {
    /**
     * Scraper ARN.
     */
    arn: pulumi.Input<string>;
}
