import * as pulumi from "@pulumi/pulumi";
/**
 * Resource schema for AWS::Athena::PreparedStatement
 */
export declare function getPreparedStatement(args: GetPreparedStatementArgs, opts?: pulumi.InvokeOptions): Promise<GetPreparedStatementResult>;
export interface GetPreparedStatementArgs {
    /**
     * The name of the prepared statement.
     */
    statementName: string;
    /**
     * The name of the workgroup to which the prepared statement belongs.
     */
    workGroup: string;
}
export interface GetPreparedStatementResult {
    /**
     * The description of the prepared statement.
     */
    readonly description?: string;
    /**
     * The query string for the prepared statement.
     */
    readonly queryStatement?: string;
}
/**
 * Resource schema for AWS::Athena::PreparedStatement
 */
export declare function getPreparedStatementOutput(args: GetPreparedStatementOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetPreparedStatementResult>;
export interface GetPreparedStatementOutputArgs {
    /**
     * The name of the prepared statement.
     */
    statementName: pulumi.Input<string>;
    /**
     * The name of the workgroup to which the prepared statement belongs.
     */
    workGroup: pulumi.Input<string>;
}
