import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * An Amazon CloudFront VPC origin.
 */
export declare function getVpcOrigin(args: GetVpcOriginArgs, opts?: pulumi.InvokeOptions): Promise<GetVpcOriginResult>;
export interface GetVpcOriginArgs {
    /**
     * The VPC origin ID.
     */
    id: string;
}
export interface GetVpcOriginResult {
    /**
     * The VPC origin ARN.
     */
    readonly arn?: string;
    /**
     * The VPC origin created time.
     */
    readonly createdTime?: string;
    /**
     * The VPC origin ID.
     */
    readonly id?: string;
    /**
     * The VPC origin last modified time.
     */
    readonly lastModifiedTime?: string;
    /**
     * The VPC origin status.
     */
    readonly status?: string;
    /**
     * A complex type that contains zero or more ``Tag`` elements.
     */
    readonly tags?: outputs.Tag[];
    /**
     * The VPC origin endpoint configuration.
     */
    readonly vpcOriginEndpointConfig?: outputs.cloudfront.VpcOriginEndpointConfig;
}
/**
 * An Amazon CloudFront VPC origin.
 */
export declare function getVpcOriginOutput(args: GetVpcOriginOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetVpcOriginResult>;
export interface GetVpcOriginOutputArgs {
    /**
     * The VPC origin ID.
     */
    id: pulumi.Input<string>;
}
