import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type Definition for ContactFlowVersion
 */
export declare function getContactFlowVersion(args: GetContactFlowVersionArgs, opts?: pulumi.InvokeOptions): Promise<GetContactFlowVersionResult>;
export interface GetContactFlowVersionArgs {
    /**
     * The identifier of the contact flow version (ARN).
     */
    contactFlowVersionArn: string;
}
export interface GetContactFlowVersionResult {
    /**
     * The identifier of the contact flow version (ARN).
     */
    readonly contactFlowVersionArn?: string;
    /**
     * Indicates the checksum value of the latest published flow content
     */
    readonly flowContentSha256?: string;
    /**
     * The version number of this revision
     */
    readonly version?: number;
}
/**
 * Resource Type Definition for ContactFlowVersion
 */
export declare function getContactFlowVersionOutput(args: GetContactFlowVersionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetContactFlowVersionResult>;
export interface GetContactFlowVersionOutputArgs {
    /**
     * The identifier of the contact flow version (ARN).
     */
    contactFlowVersionArn: pulumi.Input<string>;
}
