import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::Connect::EmailAddress
 */
export declare function getEmailAddress(args: GetEmailAddressArgs, opts?: pulumi.InvokeOptions): Promise<GetEmailAddressResult>;
export interface GetEmailAddressArgs {
    /**
     * The identifier of the email address.
     */
    emailAddressArn: string;
}
export interface GetEmailAddressResult {
    /**
     * A description for the email address.
     */
    readonly description?: string;
    /**
     * The display name for the email address.
     */
    readonly displayName?: string;
    /**
     * The identifier of the email address.
     */
    readonly emailAddressArn?: string;
    /**
     * The identifier of the Amazon Connect instance.
     */
    readonly instanceArn?: string;
    /**
     * One or more tags.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::Connect::EmailAddress
 */
export declare function getEmailAddressOutput(args: GetEmailAddressOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetEmailAddressResult>;
export interface GetEmailAddressOutputArgs {
    /**
     * The identifier of the email address.
     */
    emailAddressArn: pulumi.Input<string>;
}
