import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::DataBrew::Project.
 */
export declare function getProject(args: GetProjectArgs, opts?: pulumi.InvokeOptions): Promise<GetProjectResult>;
export interface GetProjectArgs {
    /**
     * Project name
     */
    name: string;
}
export interface GetProjectResult {
    /**
     * Dataset name
     */
    readonly datasetName?: string;
    /**
     * Recipe name
     */
    readonly recipeName?: string;
    /**
     * Role arn
     */
    readonly roleArn?: string;
    /**
     * Sample
     */
    readonly sample?: outputs.databrew.ProjectSample;
    /**
     * Metadata tags that have been applied to the project.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource schema for AWS::DataBrew::Project.
 */
export declare function getProjectOutput(args: GetProjectOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetProjectResult>;
export interface GetProjectOutputArgs {
    /**
     * Project name
     */
    name: pulumi.Input<string>;
}
