import * as pulumi from "@pulumi/pulumi";
/**
 * Definition of AWS::Deadline::QueueFleetAssociation Resource Type
 */
export declare class QueueFleetAssociation extends pulumi.CustomResource {
    /**
     * Get an existing QueueFleetAssociation resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): QueueFleetAssociation;
    /**
     * Returns true if the given object is an instance of QueueFleetAssociation.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is QueueFleetAssociation;
    /**
     * The identifier of the farm that contains the queue and the fleet.
     */
    readonly farmId: pulumi.Output<string>;
    /**
     * The fleet ID.
     */
    readonly fleetId: pulumi.Output<string>;
    /**
     * The queue ID.
     */
    readonly queueId: pulumi.Output<string>;
    /**
     * Create a QueueFleetAssociation resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: QueueFleetAssociationArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a QueueFleetAssociation resource.
 */
export interface QueueFleetAssociationArgs {
    /**
     * The identifier of the farm that contains the queue and the fleet.
     */
    farmId: pulumi.Input<string>;
    /**
     * The fleet ID.
     */
    fleetId: pulumi.Input<string>;
    /**
     * The queue ID.
     */
    queueId: pulumi.Input<string>;
}
