import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Resource schema for AWS::DMS::DataMigration.
 */
export declare function getDataMigration(args: GetDataMigrationArgs, opts?: pulumi.InvokeOptions): Promise<GetDataMigrationResult>;
export interface GetDataMigrationArgs {
    /**
     * The property describes an ARN of the data migration.
     */
    dataMigrationArn: string;
}
export interface GetDataMigrationResult {
    /**
     * The property describes an ARN of the data migration.
     */
    readonly dataMigrationArn?: string;
    /**
     * The property describes the create time of the data migration.
     */
    readonly dataMigrationCreateTime?: string;
    /**
     * The property describes a name to identify the data migration.
     */
    readonly dataMigrationName?: string;
    /**
     * The property describes the settings for the data migration.
     */
    readonly dataMigrationSettings?: outputs.dms.DataMigrationSettings;
    /**
     * The property describes the type of migration.
     */
    readonly dataMigrationType?: enums.dms.DataMigrationType;
    /**
     * The property describes an identifier for the migration project. It is used for describing/deleting/modifying can be name/arn
     */
    readonly migrationProjectIdentifier?: string;
    /**
     * The property describes Amazon Resource Name (ARN) of the service access role.
     */
    readonly serviceAccessRoleArn?: string;
    /**
     * The property describes the settings for the data migration.
     */
    readonly sourceDataSettings?: outputs.dms.DataMigrationSourceDataSettings[];
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource schema for AWS::DMS::DataMigration.
 */
export declare function getDataMigrationOutput(args: GetDataMigrationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDataMigrationResult>;
export interface GetDataMigrationOutputArgs {
    /**
     * The property describes an ARN of the data migration.
     */
    dataMigrationArn: pulumi.Input<string>;
}
