import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Specifies a customer gateway.
 */
export declare function getCustomerGateway(args: GetCustomerGatewayArgs, opts?: pulumi.InvokeOptions): Promise<GetCustomerGatewayResult>;
export interface GetCustomerGatewayArgs {
    /**
     * The ID of the customer gateway.
     */
    customerGatewayId: string;
}
export interface GetCustomerGatewayResult {
    /**
     * The ID of the customer gateway.
     */
    readonly customerGatewayId?: string;
    /**
     * One or more tags for the customer gateway.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Specifies a customer gateway.
 */
export declare function getCustomerGatewayOutput(args: GetCustomerGatewayOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetCustomerGatewayResult>;
export interface GetCustomerGatewayOutputArgs {
    /**
     * The ID of the customer gateway.
     */
    customerGatewayId: pulumi.Input<string>;
}
