import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * Resource type definition for the AWS::EC2::SecurityGroupVpcAssociation resource
 */
export declare function getSecurityGroupVpcAssociation(args: GetSecurityGroupVpcAssociationArgs, opts?: pulumi.InvokeOptions): Promise<GetSecurityGroupVpcAssociationResult>;
export interface GetSecurityGroupVpcAssociationArgs {
    /**
     * The group ID of the specified security group.
     */
    groupId: string;
    /**
     * The ID of the VPC in the security group vpc association.
     */
    vpcId: string;
}
export interface GetSecurityGroupVpcAssociationResult {
    /**
     * The state of the security group vpc association.
     */
    readonly state?: enums.ec2.SecurityGroupVpcAssociationState;
    /**
     * The reason for the state of the security group vpc association.
     */
    readonly stateReason?: string;
    /**
     * The owner of the VPC in the security group vpc association.
     */
    readonly vpcOwnerId?: string;
}
/**
 * Resource type definition for the AWS::EC2::SecurityGroupVpcAssociation resource
 */
export declare function getSecurityGroupVpcAssociationOutput(args: GetSecurityGroupVpcAssociationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetSecurityGroupVpcAssociationResult>;
export interface GetSecurityGroupVpcAssociationOutputArgs {
    /**
     * The group ID of the specified security group.
     */
    groupId: pulumi.Input<string>;
    /**
     * The ID of the VPC in the security group vpc association.
     */
    vpcId: pulumi.Input<string>;
}
