import * as pulumi from "@pulumi/pulumi";
/**
 * Associates a subnet with a route table. The subnet and route table must be in the same VPC. This association causes traffic originating from the subnet to be routed according to the routes in the route table. A route table can be associated with multiple subnets. To create a route table, see [AWS::EC2::RouteTable](https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-routetable.html).
 */
export declare function getSubnetRouteTableAssociation(args: GetSubnetRouteTableAssociationArgs, opts?: pulumi.InvokeOptions): Promise<GetSubnetRouteTableAssociationResult>;
export interface GetSubnetRouteTableAssociationArgs {
    /**
     * The ID of the subnet route table association.
     */
    id: string;
}
export interface GetSubnetRouteTableAssociationResult {
    /**
     * The ID of the subnet route table association.
     */
    readonly id?: string;
}
/**
 * Associates a subnet with a route table. The subnet and route table must be in the same VPC. This association causes traffic originating from the subnet to be routed according to the routes in the route table. A route table can be associated with multiple subnets. To create a route table, see [AWS::EC2::RouteTable](https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-routetable.html).
 */
export declare function getSubnetRouteTableAssociationOutput(args: GetSubnetRouteTableAssociationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetSubnetRouteTableAssociationResult>;
export interface GetSubnetRouteTableAssociationOutputArgs {
    /**
     * The ID of the subnet route table association.
     */
    id: pulumi.Input<string>;
}
