import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * The AWS::EC2::TransitGatewayConnect type
 */
export declare function getTransitGatewayConnect(args: GetTransitGatewayConnectArgs, opts?: pulumi.InvokeOptions): Promise<GetTransitGatewayConnectResult>;
export interface GetTransitGatewayConnectArgs {
    /**
     * The ID of the Connect attachment.
     */
    transitGatewayAttachmentId: string;
}
export interface GetTransitGatewayConnectResult {
    /**
     * The creation time.
     */
    readonly creationTime?: string;
    /**
     * The state of the attachment.
     */
    readonly state?: string;
    /**
     * The tags for the attachment.
     */
    readonly tags?: outputs.Tag[];
    /**
     * The ID of the Connect attachment.
     */
    readonly transitGatewayAttachmentId?: string;
    /**
     * The ID of the transit gateway.
     */
    readonly transitGatewayId?: string;
}
/**
 * The AWS::EC2::TransitGatewayConnect type
 */
export declare function getTransitGatewayConnectOutput(args: GetTransitGatewayConnectOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetTransitGatewayConnectResult>;
export interface GetTransitGatewayConnectOutputArgs {
    /**
     * The ID of the Connect attachment.
     */
    transitGatewayAttachmentId: pulumi.Input<string>;
}
