import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::EC2::TransitGatewayRouteTable
 */
export declare function getTransitGatewayRouteTable(args: GetTransitGatewayRouteTableArgs, opts?: pulumi.InvokeOptions): Promise<GetTransitGatewayRouteTableResult>;
export interface GetTransitGatewayRouteTableArgs {
    /**
     * Transit Gateway Route Table primary identifier
     */
    transitGatewayRouteTableId: string;
}
export interface GetTransitGatewayRouteTableResult {
    /**
     * Tags are composed of a Key/Value pair. You can use tags to categorize and track each parameter group. The tag value null is permitted.
     */
    readonly tags?: outputs.Tag[];
    /**
     * Transit Gateway Route Table primary identifier
     */
    readonly transitGatewayRouteTableId?: string;
}
/**
 * Resource Type definition for AWS::EC2::TransitGatewayRouteTable
 */
export declare function getTransitGatewayRouteTableOutput(args: GetTransitGatewayRouteTableOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetTransitGatewayRouteTableResult>;
export interface GetTransitGatewayRouteTableOutputArgs {
    /**
     * Transit Gateway Route Table primary identifier
     */
    transitGatewayRouteTableId: pulumi.Input<string>;
}
