import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Schema for AWS::EKS::FargateProfile
 */
export declare function getFargateProfile(args: GetFargateProfileArgs, opts?: pulumi.InvokeOptions): Promise<GetFargateProfileResult>;
export interface GetFargateProfileArgs {
    /**
     * Name of the Cluster
     */
    clusterName: string;
    /**
     * Name of FargateProfile
     */
    fargateProfileName: string;
}
export interface GetFargateProfileResult {
    /**
     * The ARN of the cluster, such as `arn:aws:eks:us-west-2:666666666666:fargateprofile/myCluster/myFargateProfile/1cb1a11a-1dc1-1d11-cf11-1111f11fa111` .
     */
    readonly arn?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Schema for AWS::EKS::FargateProfile
 */
export declare function getFargateProfileOutput(args: GetFargateProfileOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetFargateProfileResult>;
export interface GetFargateProfileOutputArgs {
    /**
     * Name of the Cluster
     */
    clusterName: pulumi.Input<string>;
    /**
     * Name of FargateProfile
     */
    fargateProfileName: pulumi.Input<string>;
}
