import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::IAM::ServiceLinkedRole
 */
export declare function getServiceLinkedRole(args: GetServiceLinkedRoleArgs, opts?: pulumi.InvokeOptions): Promise<GetServiceLinkedRoleResult>;
export interface GetServiceLinkedRoleArgs {
    /**
     * The name of the role.
     */
    roleName: string;
}
export interface GetServiceLinkedRoleResult {
    /**
     * The description of the role.
     */
    readonly description?: string;
    /**
     * The name of the role.
     */
    readonly roleName?: string;
}
/**
 * Resource Type definition for AWS::IAM::ServiceLinkedRole
 */
export declare function getServiceLinkedRoleOutput(args: GetServiceLinkedRoleOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetServiceLinkedRoleResult>;
export interface GetServiceLinkedRoleOutputArgs {
    /**
     * The name of the role.
     */
    roleName: pulumi.Input<string>;
}
