import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::Inspector::AssessmentTemplate
 */
export declare function getAssessmentTemplate(args: GetAssessmentTemplateArgs, opts?: pulumi.InvokeOptions): Promise<GetAssessmentTemplateResult>;
export interface GetAssessmentTemplateArgs {
    /**
     * The Amazon Resource Name (ARN) that specifies the assessment template that is created.
     */
    arn: string;
}
export interface GetAssessmentTemplateResult {
    /**
     * The Amazon Resource Name (ARN) that specifies the assessment template that is created.
     */
    readonly arn?: string;
}
/**
 * Resource Type definition for AWS::Inspector::AssessmentTemplate
 */
export declare function getAssessmentTemplateOutput(args: GetAssessmentTemplateOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAssessmentTemplateResult>;
export interface GetAssessmentTemplateOutputArgs {
    /**
     * The Amazon Resource Name (ARN) that specifies the assessment template that is created.
     */
    arn: pulumi.Input<string>;
}
