import * as pulumi from "@pulumi/pulumi";
/**
 * Resource schema for AWS::IoTTwinMaker::Workspace
 */
export declare function getWorkspace(args: GetWorkspaceArgs, opts?: pulumi.InvokeOptions): Promise<GetWorkspaceResult>;
export interface GetWorkspaceArgs {
    /**
     * The ID of the workspace.
     */
    workspaceId: string;
}
export interface GetWorkspaceResult {
    /**
     * The ARN of the workspace.
     */
    readonly arn?: string;
    /**
     * The date and time when the workspace was created.
     */
    readonly creationDateTime?: string;
    /**
     * The description of the workspace.
     */
    readonly description?: string;
    /**
     * The ARN of the execution role associated with the workspace.
     */
    readonly role?: string;
    /**
     * The ARN of the S3 bucket where resources associated with the workspace are stored.
     */
    readonly s3Location?: string;
    /**
     * A map of key-value pairs to associate with a resource.
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * The date and time of the current update.
     */
    readonly updateDateTime?: string;
}
/**
 * Resource schema for AWS::IoTTwinMaker::Workspace
 */
export declare function getWorkspaceOutput(args: GetWorkspaceOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetWorkspaceResult>;
export interface GetWorkspaceOutputArgs {
    /**
     * The ID of the workspace.
     */
    workspaceId: pulumi.Input<string>;
}
