import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Resource Type definition for AWS::IVS::RecordingConfiguration
 */
export declare function getRecordingConfiguration(args: GetRecordingConfigurationArgs, opts?: pulumi.InvokeOptions): Promise<GetRecordingConfigurationResult>;
export interface GetRecordingConfigurationArgs {
    /**
     * Recording Configuration ARN is automatically generated on creation and assigned as the unique identifier.
     */
    arn: string;
}
export interface GetRecordingConfigurationResult {
    /**
     * Recording Configuration ARN is automatically generated on creation and assigned as the unique identifier.
     */
    readonly arn?: string;
    /**
     * Recording Configuration State.
     */
    readonly state?: enums.ivs.RecordingConfigurationState;
    /**
     * A list of key-value pairs that contain metadata for the asset model.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::IVS::RecordingConfiguration
 */
export declare function getRecordingConfigurationOutput(args: GetRecordingConfigurationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetRecordingConfigurationResult>;
export interface GetRecordingConfigurationOutputArgs {
    /**
     * Recording Configuration ARN is automatically generated on creation and assigned as the unique identifier.
     */
    arn: pulumi.Input<string>;
}
