import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * An example resource schema demonstrating some basic constructs and validation rules.
 */
export declare function getCustomPlugin(args: GetCustomPluginArgs, opts?: pulumi.InvokeOptions): Promise<GetCustomPluginResult>;
export interface GetCustomPluginArgs {
    /**
     * The Amazon Resource Name (ARN) of the custom plugin to use.
     */
    customPluginArn: string;
}
export interface GetCustomPluginResult {
    /**
     * The Amazon Resource Name (ARN) of the custom plugin to use.
     */
    readonly customPluginArn?: string;
    readonly fileDescription?: outputs.kafkaconnect.CustomPluginFileDescription;
    /**
     * The revision of the custom plugin.
     */
    readonly revision?: number;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * An example resource schema demonstrating some basic constructs and validation rules.
 */
export declare function getCustomPluginOutput(args: GetCustomPluginOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetCustomPluginResult>;
export interface GetCustomPluginOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the custom plugin to use.
     */
    customPluginArn: pulumi.Input<string>;
}
