import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::Lambda::Version
 */
export declare function getVersion(args: GetVersionArgs, opts?: pulumi.InvokeOptions): Promise<GetVersionResult>;
export interface GetVersionArgs {
    /**
     * The ARN of the version.
     */
    functionArn: string;
}
export interface GetVersionResult {
    /**
     * The ARN of the version.
     */
    readonly functionArn?: string;
    /**
     * The version number.
     */
    readonly version?: string;
}
/**
 * Resource Type definition for AWS::Lambda::Version
 */
export declare function getVersionOutput(args: GetVersionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetVersionResult>;
export interface GetVersionOutputArgs {
    /**
     * The ARN of the version.
     */
    functionArn: pulumi.Input<string>;
}
