import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource type definition for AWS::NetworkFirewall::VpcEndpointAssociation
 */
export declare function getVpcEndpointAssociation(args: GetVpcEndpointAssociationArgs, opts?: pulumi.InvokeOptions): Promise<GetVpcEndpointAssociationResult>;
export interface GetVpcEndpointAssociationArgs {
    /**
     * The Amazon Resource Name (ARN) of a VPC endpoint association.
     */
    vpcEndpointAssociationArn: string;
}
export interface GetVpcEndpointAssociationResult {
    readonly endpointId?: string;
    /**
     * The key:value pairs to associate with the resource.
     */
    readonly tags?: outputs.Tag[];
    /**
     * The Amazon Resource Name (ARN) of a VPC endpoint association.
     */
    readonly vpcEndpointAssociationArn?: string;
    /**
     * The unique identifier of the VPC endpoint association.
     */
    readonly vpcEndpointAssociationId?: string;
}
/**
 * Resource type definition for AWS::NetworkFirewall::VpcEndpointAssociation
 */
export declare function getVpcEndpointAssociationOutput(args: GetVpcEndpointAssociationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetVpcEndpointAssociationResult>;
export interface GetVpcEndpointAssociationOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of a VPC endpoint association.
     */
    vpcEndpointAssociationArn: pulumi.Input<string>;
}
