import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::NimbleStudio::StreamingImage
 */
export declare function getStreamingImage(args: GetStreamingImageArgs, opts?: pulumi.InvokeOptions): Promise<GetStreamingImageResult>;
export interface GetStreamingImageArgs {
    streamingImageId: string;
}
export interface GetStreamingImageResult {
    readonly description?: string;
    readonly encryptionConfiguration?: outputs.nimblestudio.StreamingImageEncryptionConfiguration;
    readonly encryptionConfigurationKeyArn?: string;
    readonly encryptionConfigurationKeyType?: string;
    readonly eulaIds?: string[];
    readonly name?: string;
    readonly owner?: string;
    readonly platform?: string;
    readonly streamingImageId?: string;
}
/**
 * Resource Type definition for AWS::NimbleStudio::StreamingImage
 */
export declare function getStreamingImageOutput(args: GetStreamingImageOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetStreamingImageResult>;
export interface GetStreamingImageOutputArgs {
    streamingImageId: pulumi.Input<string>;
}
