import * as pulumi from "@pulumi/pulumi";
import * as inputs from "../types/input";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::NimbleStudio::LaunchProfile
 */
export declare class LaunchProfile extends pulumi.CustomResource {
    /**
     * Get an existing LaunchProfile resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): LaunchProfile;
    /**
     * Returns true if the given object is an instance of LaunchProfile.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is LaunchProfile;
    readonly description: pulumi.Output<string | undefined>;
    readonly ec2SubnetIds: pulumi.Output<string[]>;
    readonly launchProfileId: pulumi.Output<string>;
    readonly launchProfileProtocolVersions: pulumi.Output<string[]>;
    readonly name: pulumi.Output<string>;
    readonly streamConfiguration: pulumi.Output<outputs.nimblestudio.LaunchProfileStreamConfiguration>;
    readonly studioComponentIds: pulumi.Output<string[]>;
    readonly studioId: pulumi.Output<string>;
    readonly tags: pulumi.Output<{
        [key: string]: string;
    } | undefined>;
    /**
     * Create a LaunchProfile resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: LaunchProfileArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a LaunchProfile resource.
 */
export interface LaunchProfileArgs {
    description?: pulumi.Input<string>;
    ec2SubnetIds: pulumi.Input<pulumi.Input<string>[]>;
    launchProfileProtocolVersions: pulumi.Input<pulumi.Input<string>[]>;
    name?: pulumi.Input<string>;
    streamConfiguration: pulumi.Input<inputs.nimblestudio.LaunchProfileStreamConfigurationArgs>;
    studioComponentIds: pulumi.Input<pulumi.Input<string>[]>;
    studioId: pulumi.Input<string>;
    tags?: pulumi.Input<{
        [key: string]: pulumi.Input<string>;
    }>;
}
