import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::NimbleStudio::StreamingImage
 */
export declare class StreamingImage extends pulumi.CustomResource {
    /**
     * Get an existing StreamingImage resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): StreamingImage;
    /**
     * Returns true if the given object is an instance of StreamingImage.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is StreamingImage;
    readonly description: pulumi.Output<string | undefined>;
    readonly ec2ImageId: pulumi.Output<string>;
    readonly encryptionConfiguration: pulumi.Output<outputs.nimblestudio.StreamingImageEncryptionConfiguration>;
    readonly encryptionConfigurationKeyArn: pulumi.Output<string | undefined>;
    readonly encryptionConfigurationKeyType: pulumi.Output<string | undefined>;
    readonly eulaIds: pulumi.Output<string[]>;
    readonly name: pulumi.Output<string>;
    readonly owner: pulumi.Output<string>;
    readonly platform: pulumi.Output<string>;
    readonly streamingImageId: pulumi.Output<string>;
    readonly studioId: pulumi.Output<string>;
    readonly tags: pulumi.Output<{
        [key: string]: string;
    } | undefined>;
    /**
     * Create a StreamingImage resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: StreamingImageArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a StreamingImage resource.
 */
export interface StreamingImageArgs {
    description?: pulumi.Input<string>;
    ec2ImageId: pulumi.Input<string>;
    encryptionConfigurationKeyArn?: pulumi.Input<string>;
    encryptionConfigurationKeyType?: pulumi.Input<string>;
    name?: pulumi.Input<string>;
    studioId: pulumi.Input<string>;
    tags?: pulumi.Input<{
        [key: string]: pulumi.Input<string>;
    }>;
}
