import * as pulumi from "@pulumi/pulumi";
/**
 * Definition of AWS::PCAConnectorAD::DirectoryRegistration Resource Type
 */
export declare function getDirectoryRegistration(args: GetDirectoryRegistrationArgs, opts?: pulumi.InvokeOptions): Promise<GetDirectoryRegistrationResult>;
export interface GetDirectoryRegistrationArgs {
    /**
     * The Amazon Resource Name (ARN) that was returned when you called [CreateDirectoryRegistration](https://docs.aws.amazon.com/pca-connector-ad/latest/APIReference/API_CreateDirectoryRegistration.html) .
     */
    directoryRegistrationArn: string;
}
export interface GetDirectoryRegistrationResult {
    /**
     * The Amazon Resource Name (ARN) that was returned when you called [CreateDirectoryRegistration](https://docs.aws.amazon.com/pca-connector-ad/latest/APIReference/API_CreateDirectoryRegistration.html) .
     */
    readonly directoryRegistrationArn?: string;
    /**
     * Metadata assigned to a directory registration consisting of a key-value pair.
     */
    readonly tags?: {
        [key: string]: string;
    };
}
/**
 * Definition of AWS::PCAConnectorAD::DirectoryRegistration Resource Type
 */
export declare function getDirectoryRegistrationOutput(args: GetDirectoryRegistrationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDirectoryRegistrationResult>;
export interface GetDirectoryRegistrationOutputArgs {
    /**
     * The Amazon Resource Name (ARN) that was returned when you called [CreateDirectoryRegistration](https://docs.aws.amazon.com/pca-connector-ad/latest/APIReference/API_CreateDirectoryRegistration.html) .
     */
    directoryRegistrationArn: pulumi.Input<string>;
}
