import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Definition of AWS::RolesAnywhere::CRL Resource Type
 */
export declare function getCrl(args: GetCrlArgs, opts?: pulumi.InvokeOptions): Promise<GetCrlResult>;
export interface GetCrlArgs {
    /**
     * The unique primary identifier of the Crl
     */
    crlId: string;
}
export interface GetCrlResult {
    /**
     * The x509 v3 specified certificate revocation list (CRL).
     */
    readonly crlData?: string;
    /**
     * The unique primary identifier of the Crl
     */
    readonly crlId?: string;
    /**
     * Specifies whether the certificate revocation list (CRL) is enabled.
     */
    readonly enabled?: boolean;
    /**
     * The name of the certificate revocation list (CRL).
     */
    readonly name?: string;
    /**
     * A list of tags to attach to the certificate revocation list (CRL).
     */
    readonly tags?: outputs.Tag[];
    /**
     * The ARN of the TrustAnchor the certificate revocation list (CRL) will provide revocation for.
     */
    readonly trustAnchorArn?: string;
}
/**
 * Definition of AWS::RolesAnywhere::CRL Resource Type
 */
export declare function getCrlOutput(args: GetCrlOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetCrlResult>;
export interface GetCrlOutputArgs {
    /**
     * The unique primary identifier of the Crl
     */
    crlId: pulumi.Input<string>;
}
