import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Resource schema for AWS::Route53Resolver::OutpostResolver.
 */
export declare function getOutpostResolver(args: GetOutpostResolverArgs, opts?: pulumi.InvokeOptions): Promise<GetOutpostResolverResult>;
export interface GetOutpostResolverArgs {
    /**
     * Id
     */
    id: string;
}
export interface GetOutpostResolverResult {
    /**
     * The OutpostResolver ARN.
     */
    readonly arn?: string;
    /**
     * The OutpostResolver creation time
     */
    readonly creationTime?: string;
    /**
     * The id of the creator request.
     */
    readonly creatorRequestId?: string;
    /**
     * Id
     */
    readonly id?: string;
    /**
     * The number of OutpostResolvers.
     */
    readonly instanceCount?: number;
    /**
     * The OutpostResolver last modified time
     */
    readonly modificationTime?: string;
    /**
     * The OutpostResolver name.
     */
    readonly name?: string;
    /**
     * The OutpostResolver instance type.
     */
    readonly preferredInstanceType?: string;
    /**
     * The OutpostResolver status, possible values are CREATING, OPERATIONAL, UPDATING, DELETING, ACTION_NEEDED, FAILED_CREATION and FAILED_DELETION.
     */
    readonly status?: enums.route53resolver.OutpostResolverStatus;
    /**
     * The OutpostResolver status message.
     */
    readonly statusMessage?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource schema for AWS::Route53Resolver::OutpostResolver.
 */
export declare function getOutpostResolverOutput(args: GetOutpostResolverOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetOutpostResolverResult>;
export interface GetOutpostResolverOutputArgs {
    /**
     * Id
     */
    id: pulumi.Input<string>;
}
