import * as pulumi from "@pulumi/pulumi";
/**
 * The AWS::S3::AccessGrantsLocation resource is an Amazon S3 resource type hosted in an access grants instance which can be the target of S3 access grants.
 */
export declare function getAccessGrantsLocation(args: GetAccessGrantsLocationArgs, opts?: pulumi.InvokeOptions): Promise<GetAccessGrantsLocationResult>;
export interface GetAccessGrantsLocationArgs {
    /**
     * The unique identifier for the specified Access Grants location.
     */
    accessGrantsLocationId: string;
}
export interface GetAccessGrantsLocationResult {
    /**
     * The Amazon Resource Name (ARN) of the specified Access Grants location.
     */
    readonly accessGrantsLocationArn?: string;
    /**
     * The unique identifier for the specified Access Grants location.
     */
    readonly accessGrantsLocationId?: string;
    /**
     * The Amazon Resource Name (ARN) of the access grant location's associated IAM role.
     */
    readonly iamRoleArn?: string;
    /**
     * Descriptor for where the location actually points
     */
    readonly locationScope?: string;
}
/**
 * The AWS::S3::AccessGrantsLocation resource is an Amazon S3 resource type hosted in an access grants instance which can be the target of S3 access grants.
 */
export declare function getAccessGrantsLocationOutput(args: GetAccessGrantsLocationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAccessGrantsLocationResult>;
export interface GetAccessGrantsLocationOutputArgs {
    /**
     * The unique identifier for the specified Access Grants location.
     */
    accessGrantsLocationId: pulumi.Input<string>;
}
