"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.SlackWorkspaceConfiguration = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * An AWS Support App resource that creates, updates, lists, and deletes Slack workspace configurations.
 *
 * ## Example Usage
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const slackWorkspaceConfiguration = new aws_native.supportapp.SlackWorkspaceConfiguration("slackWorkspaceConfiguration", {
 *     teamId: "T012ABCDEFG",
 *     versionId: "1",
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const slackWorkspaceConfiguration = new aws_native.supportapp.SlackWorkspaceConfiguration("slackWorkspaceConfiguration", {
 *     teamId: "T012ABCDEFG",
 *     versionId: "1",
 * });
 *
 * ```
 */
class SlackWorkspaceConfiguration extends pulumi.CustomResource {
    /**
     * Get an existing SlackWorkspaceConfiguration resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new SlackWorkspaceConfiguration(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of SlackWorkspaceConfiguration.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === SlackWorkspaceConfiguration.__pulumiType;
    }
    /**
     * Create a SlackWorkspaceConfiguration resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.teamId === undefined) && !opts.urn) {
                throw new Error("Missing required property 'teamId'");
            }
            resourceInputs["teamId"] = args ? args.teamId : undefined;
            resourceInputs["versionId"] = args ? args.versionId : undefined;
        }
        else {
            resourceInputs["teamId"] = undefined /*out*/;
            resourceInputs["versionId"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["teamId"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(SlackWorkspaceConfiguration.__pulumiType, name, resourceInputs, opts);
    }
}
exports.SlackWorkspaceConfiguration = SlackWorkspaceConfiguration;
/** @internal */
SlackWorkspaceConfiguration.__pulumiType = 'aws-native:supportapp:SlackWorkspaceConfiguration';
//# sourceMappingURL=slackWorkspaceConfiguration.js.map