export declare const ExperimentMetricGoalObjectDesiredChange: {
    readonly Increase: "INCREASE";
    readonly Decrease: "DECREASE";
};
/**
 * `INCREASE` means that a variation with a higher number for this metric is performing better.
 *
 * `DECREASE` means that a variation with a lower number for this metric is performing better.
 */
export type ExperimentMetricGoalObjectDesiredChange = (typeof ExperimentMetricGoalObjectDesiredChange)[keyof typeof ExperimentMetricGoalObjectDesiredChange];
export declare const FeatureEvaluationStrategy: {
    readonly AllRules: "ALL_RULES";
    readonly DefaultVariation: "DEFAULT_VARIATION";
};
/**
 * Specify `ALL_RULES` to activate the traffic allocation specified by any ongoing launches or experiments. Specify `DEFAULT_VARIATION` to serve the default variation to all users instead.
 */
export type FeatureEvaluationStrategy = (typeof FeatureEvaluationStrategy)[keyof typeof FeatureEvaluationStrategy];
