export declare const JobWorkerType: {
    readonly Standard: "Standard";
    readonly G1x: "G.1X";
    readonly G2x: "G.2X";
    readonly G025x: "G.025X";
    readonly G4x: "G.4X";
    readonly G8x: "G.8X";
    readonly Z2x: "Z.2X";
};
/**
 * TThe type of predefined worker that is allocated when a job runs.
 */
export type JobWorkerType = (typeof JobWorkerType)[keyof typeof JobWorkerType];
export declare const SchemaCompatibility: {
    readonly None: "NONE";
    readonly Disabled: "DISABLED";
    readonly Backward: "BACKWARD";
    readonly BackwardAll: "BACKWARD_ALL";
    readonly Forward: "FORWARD";
    readonly ForwardAll: "FORWARD_ALL";
    readonly Full: "FULL";
    readonly FullAll: "FULL_ALL";
};
/**
 * Compatibility setting for the schema.
 */
export type SchemaCompatibility = (typeof SchemaCompatibility)[keyof typeof SchemaCompatibility];
export declare const SchemaDataFormat: {
    readonly Avro: "AVRO";
    readonly Json: "JSON";
    readonly Protobuf: "PROTOBUF";
};
/**
 * Data format name to use for the schema. Accepted values: 'AVRO', 'JSON', 'PROTOBUF'
 */
export type SchemaDataFormat = (typeof SchemaDataFormat)[keyof typeof SchemaDataFormat];
