export declare const EnvironmentEndpointManagement: {
    readonly Customer: "CUSTOMER";
    readonly Service: "SERVICE";
};
/**
 * Defines whether the VPC endpoints configured for the environment are created, and managed, by the customer or by Amazon MWAA.
 */
export type EnvironmentEndpointManagement = (typeof EnvironmentEndpointManagement)[keyof typeof EnvironmentEndpointManagement];
export declare const EnvironmentLoggingLevel: {
    readonly Critical: "CRITICAL";
    readonly Error: "ERROR";
    readonly Warning: "WARNING";
    readonly Info: "INFO";
    readonly Debug: "DEBUG";
};
export type EnvironmentLoggingLevel = (typeof EnvironmentLoggingLevel)[keyof typeof EnvironmentLoggingLevel];
export declare const EnvironmentWebserverAccessMode: {
    readonly PrivateOnly: "PRIVATE_ONLY";
    readonly PublicOnly: "PUBLIC_ONLY";
};
/**
 * Choice for mode of webserver access including over public internet or via private VPC endpoint.
 */
export type EnvironmentWebserverAccessMode = (typeof EnvironmentWebserverAccessMode)[keyof typeof EnvironmentWebserverAccessMode];
export declare const EnvironmentWorkerReplacementStrategy: {
    readonly Forced: "FORCED";
    readonly Graceful: "GRACEFUL";
};
/**
 * The worker replacement strategy to use when updating the environment. Valid values: `FORCED`, `GRACEFUL`. FORCED means Apache Airflow workers will be stopped and replaced without waiting for tasks to complete before an update. GRACEFUL means Apache Airflow workers will be able to complete running tasks for up to 12 hours during an update before being stopped and replaced.
 */
export type EnvironmentWorkerReplacementStrategy = (typeof EnvironmentWorkerReplacementStrategy)[keyof typeof EnvironmentWorkerReplacementStrategy];
