import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Creates a resource gateway for a service.
 */
export declare function getResourceGateway(args: GetResourceGatewayArgs, opts?: pulumi.InvokeOptions): Promise<GetResourceGatewayResult>;
export interface GetResourceGatewayArgs {
    /**
     * The Amazon Resource Name (ARN) of the resource gateway.
     */
    arn: string;
}
export interface GetResourceGatewayResult {
    /**
     * The Amazon Resource Name (ARN) of the resource gateway.
     */
    readonly arn?: string;
    /**
     * The ID of the resource gateway.
     */
    readonly id?: string;
    /**
     * The ID of one or more security groups to associate with the endpoint network interface.
     */
    readonly securityGroupIds?: string[];
    /**
     * The tags for the resource gateway.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Creates a resource gateway for a service.
 */
export declare function getResourceGatewayOutput(args: GetResourceGatewayOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetResourceGatewayResult>;
export interface GetResourceGatewayOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the resource gateway.
     */
    arn: pulumi.Input<string>;
}
