import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Definition of AWS::WorkSpacesWeb::TrustStore Resource Type
 */
export declare function getTrustStore(args: GetTrustStoreArgs, opts?: pulumi.InvokeOptions): Promise<GetTrustStoreResult>;
export interface GetTrustStoreArgs {
    /**
     * The ARN of the trust store.
     */
    trustStoreArn: string;
}
export interface GetTrustStoreResult {
    /**
     * A list of web portal ARNs that this trust store is associated with.
     */
    readonly associatedPortalArns?: string[];
    /**
     * A list of CA certificates to be added to the trust store.
     */
    readonly certificateList?: string[];
    /**
     * The tags to add to the trust store. A tag is a key-value pair.
     */
    readonly tags?: outputs.Tag[];
    /**
     * The ARN of the trust store.
     */
    readonly trustStoreArn?: string;
}
/**
 * Definition of AWS::WorkSpacesWeb::TrustStore Resource Type
 */
export declare function getTrustStoreOutput(args: GetTrustStoreOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetTrustStoreResult>;
export interface GetTrustStoreOutputArgs {
    /**
     * The ARN of the trust store.
     */
    trustStoreArn: pulumi.Input<string>;
}
