import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * This schema provides construct and validation rules for AWS-XRay SamplingRule resource parameters.
 */
export declare function getSamplingRule(args: GetSamplingRuleArgs, opts?: pulumi.InvokeOptions): Promise<GetSamplingRuleResult>;
export interface GetSamplingRuleArgs {
    /**
     * The sampling rule ARN that was created or updated.
     */
    ruleArn: string;
}
export interface GetSamplingRuleResult {
    /**
     * The sampling rule ARN that was created or updated.
     */
    readonly ruleArn?: string;
    readonly ruleName?: string;
    /**
     * The sampling rule to be created or updated.
     */
    readonly samplingRule?: outputs.xray.SamplingRule;
    readonly samplingRuleRecord?: outputs.xray.SamplingRuleRecord;
    readonly samplingRuleUpdate?: outputs.xray.SamplingRuleUpdate;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * This schema provides construct and validation rules for AWS-XRay SamplingRule resource parameters.
 */
export declare function getSamplingRuleOutput(args: GetSamplingRuleOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetSamplingRuleResult>;
export interface GetSamplingRuleOutputArgs {
    /**
     * The sampling rule ARN that was created or updated.
     */
    ruleArn: pulumi.Input<string>;
}
